#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int n,m,i,x,y,r=0,p1,p2;
    cin >> n >> m;
    int a[n];
    for (i=0;i<n;i++)
    {
        cin >> a[i];
    }
    for (i=0;i<m;i++)
    {
        cin >> x >> y;
        x--;
        y--;
        if (a[x]<0)
            p1=-a[x];
        else
            p1=a[x];
        if (a[y]<0)
            p2=-a[y];
        else
            p2=a[y];
        if (p1>p2)
        {
            r+=(a[x]+a[y])*(p1/a[x]);
        }
        else
        {
            r+=(a[x]+a[y])*(p2/a[y]);
        }
    }
    cout << r;
    return 0;
}